package com.folmoortiz.expoagenda.view;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.folmoortiz.expoagenda.R;
import com.folmoortiz.expoagenda.model.Feria;

public class ContactoFragment extends Fragment implements View.OnClickListener {

    private Feria feria;

    public ContactoFragment() {
        // Required empty public constructor
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // comprobamos si se ha recibido el parametro desde la activity
        Bundle bundle = getArguments();
        if (bundle != null) {
            feria = (Feria) bundle.getSerializable("expo");
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_contacto, container, false);
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        TextView contacto_persona = getView().findViewById(R.id.contacto_persona);
        contacto_persona.setText(feria.getContacto().getPersona());

        TextView contacto_email = getView().findViewById(R.id.contacto_email);
        contacto_email.setText(feria.getContacto().getEmail());

        TextView contacto_telefono = getView().findViewById(R.id.contacto_telefono);
        contacto_telefono.setText(feria.getContacto().getTelefono());

        TextView contacto_web = getView().findViewById(R.id.contacto_web);
        contacto_web.setText(feria.getContacto().getWeb());

        TextView contacto_direccion = getView().findViewById(R.id.contacto_direccion);
        contacto_direccion.setText(feria.getContacto().getDireccion());

        TextView contacto_cp = getView().findViewById(R.id.contacto_cp);
        contacto_cp.setText(feria.getContacto().getCp());

        TextView contacto_poblacion = getView().findViewById(R.id.contacto_poblacion);
        contacto_poblacion.setText(feria.getContacto().getPoblacion());

        TextView contacto_provincia = getView().findViewById(R.id.contacto_provincia);
        contacto_provincia.setText(feria.getContacto().getProvincia());

        TextView contacto_pais = getView().findViewById(R.id.contacto_pais);
        contacto_pais.setText(feria.getContacto().getPais());

        // agrega eventos click a los botones de contacto con enlace
        LinearLayout boton_email = getView().findViewById(R.id.boton_email);
        boton_email.setOnClickListener(this);
        LinearLayout boton_telefono = getView().findViewById(R.id.boton_telefono);
        boton_telefono.setOnClickListener(this);
        LinearLayout boton_web = getView().findViewById(R.id.boton_web);
        boton_web.setOnClickListener(this);

    }

    // recoge los eventos click del contacto
    @Override
    public void onClick(View v) {
        int idBoton = v.getId();

        switch (idBoton) {

            case R.id.boton_email:
                Intent intentEmail = new Intent(Intent.ACTION_SEND);
                intentEmail.setType("message/rfc822");
                intentEmail.putExtra(Intent.EXTRA_EMAIL,new String[]{feria.getContacto().getEmail()});
                intentEmail.putExtra(Intent.EXTRA_SUBJECT,"Mensaje de " + feria.getNombre());
                startActivity(Intent.createChooser(intentEmail,"Elija la aplicación"));
                break;

            case R.id.boton_telefono:
                Intent intentoTelefono = new Intent(Intent.ACTION_DIAL, Uri.parse("tel:" + feria.getContacto().getTelefono()));
                startActivity(intentoTelefono);
                break;

            case R.id.boton_web:
                Intent intentWeb = new Intent(Intent.ACTION_VIEW, Uri.parse(feria.getContacto().getWeb()));
                startActivity(intentWeb);
                break;
        }
    }
}
