package com.folmoortiz.expoagenda.view;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.text.method.ScrollingMovementMethod;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import com.folmoortiz.expoagenda.R;
import com.folmoortiz.expoagenda.model.Feria;

public class InfoFragment extends Fragment {

    private Feria feria;

    public InfoFragment() {}

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // comprobamos si se ha recibido el parametro desde la activity
        Bundle bundle = getArguments();
        if (bundle != null) {
            feria = (Feria) bundle.getSerializable("expo");
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_info, container, false);
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        TextView nombre_expo = getView().findViewById(R.id.nombre_expo);
        nombre_expo.setText(feria.getNombre());

        TextView fecha_expo = getView().findViewById(R.id.fecha_expo);
        fecha_expo.setText(feria.getFecha());

        TextView descripcion_expo = getView().findViewById(R.id.descripcion_expo);
        descripcion_expo.setText(feria.getDescripcion());
        descripcion_expo.setMovementMethod(new ScrollingMovementMethod());
    }
}
