package com.folmoortiz.expoagenda.view;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import com.folmoortiz.expoagenda.R;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button button_agenda = findViewById(R.id.button_agenda);
        button_agenda.setOnClickListener(this);
        Button button_expositores = findViewById(R.id.button_expositores);
        button_expositores.setOnClickListener(this);
        Button button_informacion = findViewById(R.id.button_informacion);
        button_informacion.setOnClickListener(this);
        Button button_noticias = findViewById(R.id.button_noticias);
        button_noticias.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        String ruta = "";
        switch (v.getId()){
            case R.id.button_agenda:
                ruta = "AgendaExpo";
                break;

            case R.id.button_expositores:
                ruta = "ExpositoresLista";
                break;

            case R.id.button_informacion:
                ruta = "InformacionExpo";
                break;

            case R.id.button_noticias:
                ruta = "NoticiasLista";
                break;
        }

        try {
            Class claseDestino = Class.forName(getPackageName() + ".view." + ruta);
            startActivity(new Intent(this, claseDestino));
        } catch (ClassNotFoundException e) {
            Log.i("mensaje", e.toString());
        }
    }
}
