package com.folmoortiz.expoagenda.view;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import com.folmoortiz.expoagenda.R;
import com.folmoortiz.expoagenda.model.Feria;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.OnMapReadyCallback;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.MarkerOptions;

public class UbicacionFragment extends Fragment implements OnMapReadyCallback {

    private Feria feria;

    public UbicacionFragment() {
        // Required empty public constructor
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // comprobamos si se ha recibido el parametro desde la activity
        Bundle bundle = getArguments();
        if (bundle != null) {
            feria = (Feria) bundle.getSerializable("expo");
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_ubicacion, container, false);
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        // configura el mapa donde tiene la sede la expo
        SupportMapFragment mapFragment = (SupportMapFragment) getChildFragmentManager().findFragmentById(R.id.mapa);
        mapFragment.getMapAsync(this);
    }

    @Override
    public void onMapReady(GoogleMap googleMap) {
        // Agrega un marcador en el lugar de la expo y mueve la camera hasta el lugar
        LatLng lugarExpo = new LatLng(feria.getContacto().getLatitud(), feria.getContacto().getLongitud());
        googleMap.addMarker(new MarkerOptions().position(lugarExpo).title(feria.getContacto().getDireccion()));
        googleMap.animateCamera(CameraUpdateFactory.newLatLngZoom(lugarExpo, 15));
    }
}
